package it.cavallium.filequeue;

import java.io.IOException;
import java.io.UncheckedIOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.util.Comparator;

class FileUtils {

	public static void deleteDirectory(Path dir) throws IOException {
		try (var fs = Files.walk(dir)) {
			fs.sorted(Comparator.reverseOrder()).forEach(f -> {
				try {
					Files.deleteIfExists(f);
				} catch (IOException e) {
					throw new UncheckedIOException(e);
				}
			});
		} catch (UncheckedIOException ex) {
			throw ex.getCause();
		}
	}
}
