package it.cavallium.filequeue;

import java.util.Queue;

/**
 * Thread safe queue
 */
class SimpleQueueJava<T> implements SimpleQueue<T> {

	private final Queue<T> queue;

	/**
	 * @param queue the queue must be thread-safe
	 */
	public SimpleQueueJava(Queue<T> queue) {
		this.queue = queue;
	}

	@Override
	public void add(T element) {
		queue.add(element);
	}

	@Override
	public T remove() {
		return queue.remove();
	}

	@Override
	public int size() {
		return queue.size();
	}
}
